import java.io.*;

public class GenXML {
	public static void main(String[] args) {
		try {
			FileInputStream is = new FileInputStream(new File(
					"languageCode.txt"));

			PrintWriter pw = new PrintWriter(new File("CountryCodes.xml"));

			pw.println("<countries>");

			String line = new String();

			int chr;

			while ((chr = is.read()) != -1) {

				if ((char) chr == '\n') {
					line = line.trim();

					if (line.length() > 0) {
						String desc = "";

						String twoLetterCode = "";

						if (line.matches("\\w\\w\\s\\\"[-\\w\\s]+\\\"")) {
							twoLetterCode = line.substring(0, 2);
							desc = line.substring(line.indexOf('"') + 1, line
									.lastIndexOf('"'));
						} else if (line
								.matches("\\w\\w\\s\\\"[-\\w\\s]+\\\"\\s\\\"[-\\w\\s]+\\\"")) {
							twoLetterCode = line.substring(0, 2);
							int i = line.indexOf('"');
							int j = line.indexOf('"', i + 1);
							int k = line.indexOf('"', j + 1);
							int l = line.indexOf('"', k + 1);
							desc = line.substring(i + 1, j) + "/"
									+ line.substring(k + 1, l);
						} else {
							System.err.println("DUPA " + line);
							// return;
						}

						pw.println("\t<country>\n\t\t<description>" + desc
								+ "</description>\n\t\t<twoLetterCode>"
								+ twoLetterCode.trim() + "</twoLetterCode>\n"
								+ "\t</country>");

						line = "";
					}
				} else
					line += (char) chr;
			}

			pw.println("</countries>");

			is.close();

			pw.close();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}