package org.jboss.wiki.plugins;

import java.util.HashMap;
import java.util.Set;

import org.jboss.wiki.WikiInsidePlugin;
import org.jboss.wiki.WikiPage;
import org.jboss.wiki.WikiSession;

public class IndexInsidePlugin extends WikiInsidePlugin {

	@Override
	public String process(WikiPage wikiPage, WikiSession wikiSession,
			HashMap<String, String> attributes) {
		StringBuffer pluginContent = new StringBuffer();
		
		Set<String> allPages = wikiEngine.getAllPageNames(wikiPage.getLangCode());
		
		Character chr = ' ';
		
		for (String pageName : allPages) {
			if (Character.toUpperCase(pageName.charAt(0)) != chr) {
				chr = Character.toUpperCase(pageName.charAt(0));
				pluginContent.append("!!").append(chr).append("\n");
			}
			pluginContent.append("[").append(pageName).append("]\\\\\n");
		}
		
		return pluginContent.toString();
	}

	@Override
	public void init() {
		
	}

}
